<app-navbar></app-navbar>
<ng-container *ngIf="user_id; else elseCartNoLogin">

    <div *ngIf="products.cart">
        <div class="container" *ngIf="products.cart.length > 0 ">
            <div class="row mt-3 pt-3 mob-p-0">
                <div class="col-lg-11 m-a">
                    <div class="row">
                        <div class=" col-lg-8 col-sm-12 col-md-7 col-12 screen-pr-50">
                            <div class="d-block d-sm-none d-md-none d-lg-none">
                                <h4><strong>Sous - total <span class="float-right">{{total |  number : '1.2-2'}}CFA </span></strong></h4>
                            </div>
                            <div class="d-none d-sm-block d-md-block d-lg-block">
                                <h4>Votre Panier <span class="prix-spn">Prix</span></h4>
                            </div>
                            <div class="row cart-row" *ngFor="let item of products.cart; let i = index ">
                                <div class="col-lg-3 col-md-3 col-sm-4 col-4" *ngFor="let pro of item.product">
                                    <a routerLink="/view-product/{{pro._id}}">
                                        <img class="mw-100" src="{{baseurl}}static/public/{{pro.images[0]}}"></a>
                                </div>
                                <div class="col-lg-7 col-md-7 col-sm-6 col-8" *ngFor="let pro of item.product">
                                    <h6 class="cart-des"><a routerLink="/view-product/{{pro._id}}">{{pro.title}}</a> </h6>


                                    <ng-container *ngIf="item.is_available ==true; else notAvailableElse">
                                        <div>
                                            <a routerLink="/view-product/{{pro._id}}" class="ankr-big">En stock </a>
                                        </div>
                                    </ng-container>
                                    <ng-template #notAvailableElse>
                                        <div>
                                            <a routerLink="/view-product/{{pro._id}}" class="ankr-big">Non en stock</a>
                                        </div>
                                    </ng-template>

                                    <div *ngIf="item.variation_color">
                                        <a routerLink="/view-product/{{pro._id}}" class="ankr-big">Couleur : {{item.variation_color}}</a>
                                    </div>

                                    <div *ngIf="item.variation_value">
                                        <a routerLink="/view-product/{{pro._id}}" class="ankr-big">
                                            <ng-container *ngIf="item.variation_name">{{item.variation_name}} : </ng-container>{{item.variation_value}}</a>
                                    </div>
                                    <div style="display: flex; align-items: center;">
                                        <!-- <input class="qty" [(ngModel)]="item.quantity" [ngModelOptions]="{standalone: true}" min="1"
                            type="number" value="{{ item.quantity }}" name="" (change)="changeSubtotal(item ,i)" max="6" /> -->

                                        <select name="" id="" (change)="updateQty(item._id, $event)" class="form-select" style="width: 70px;margin: 8px 0;">
                            <option value="{{item.quantity}}">Qty:{{item.quantity}} </option>
                            <option  *ngFor="let n of numSequence(item.total_quantity);
                            let i = index;" value="{{i+1}}">{{i+1}}</option> 
                            
                            </select>
                                        <span class="plr-5">|</span>
                                        <span *ngFor="let pro of item.product">
                            <a class="ankr-big" style="color:red; cursor: pointer;" (click)="removeFromCart(pro._id)">Supprimer</a>
                            </span>
                                    </div>
                                </div>
                                <div class="col-lg-2 col-md-2 col-sm-2 col-8 text-right">
                                    <h6 class="d-none d-sm-block d-md-block d-lg-block">
                                        <div #subTotalWrap>{{ item.price | number : '1.2-2' }} CFA </div>
                                    </h6>
                                </div>
                            </div>
                            <div class="row cart-row d-none d-sm-block d-md-block d-lg-block">
                                <h6 class="text-right">Sous-total ({{totalItem}} articles) :<strong>{{total |  number : '1.2-2'}} CFA</strong></h6>
                            </div>
                        </div>
                        <div class=" col-lg-4 col-sm-12 col-md-5 col-12 mb-5">
                            <div class="sous-row">
                                <div class="fle-xx">
                                    <div class="">
                                        <p>Sous-total({{totalItem}} articles):</p>
                                    </div>
                                    <div class="">
                                        <strong>{{total |  number : '1.2-2'}}CFA</strong>
                                    </div>
                                </div>
                                <div class="mt-3 mb-3">
                                    <ng-container *ngIf="all_available == true; else elseNoQunty">
                                        <button class="btn btn-theme-fill w-100" routerLink="/checkout">Passer la commande</button>
                                    </ng-container>

                                    <ng-template #elseNoQunty>
                                        <button class="btn btn-theme-fill w-100" routerLink="/checkout" disabled>Passer la commande</button>
                                    </ng-template>
                                </div>
                                <ng-container *ngIf="all_available == false;">
                                    <div class="alert alert-danger">
                                        <strong>
                            Retirer le produit indisponible du panier et continuer
                            </strong></div>
                                </ng-container>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
        <div class="page-content screen-pt-50 screen-mb-50" *ngIf="products.cart.length == 0 ||  products.cart.length == null ||  products.cart.length == undefined ">
            <div class="container">
                <div class="screen-mtb-50">
                    <div class="row">
                        <div class="col-lg-8 col-md-8 col-sm-12 col-12 m-a mob-canter">
                            <div class="row">

                                <div class="col-lg-12 col-sm-12 col-md-12 col-12 a-s-c text-center">
                                    <img class="mw-100" src="./assets/build/img/account/Cart.png" width="180" />
                                    <h2 class="f-w-600 mt-3">Votre panier Rawgadou est vide</h2>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</ng-container>
<ng-template #elseCartNoLogin>
    <div class="container">
        <div class="screen-mtb-50">
            <div class="row">
                <div class="col-lg-8 col-md-8 col-sm-12 col-12 m-a mob-canter">
                    <div class="row">

                        <div class="col-lg-12 col-sm-12 col-md-12 col-12 a-s-c text-center">
                            <img class="mw-100" src="./assets/build/img/account/Cart.png" width="180" />
                            <h2 class="f-w-600 mt-3">Votre panier Rawgadou est vide</h2>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</ng-template>
<app-footer></app-footer>